- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
tvec3 Struct Reference
Template types

List of all members.

## Public Member Functions
template<typename U >
GLM_FUNC_DECL | tvec3 (U const &x)
template<typename U , typename V , typename W >
GLM_FUNC_DECL | tvec3 (U const &x, V const &y, W const &z)
template<typename A , typename B >
GLM_FUNC_DECL | tvec3 (tvec2< A > const &v, B const &s)
template<typename A , typename B >
GLM_FUNC_DECL | tvec3 (A const &s, tvec2< B > const &v)
template<typename U >
GLM_FUNC_DECL | tvec3 (tvec3< U > const &v)
template<typename U >
GLM_FUNC_DECL | tvec3 (tvec4< U > const &v)

## Detailed Description

Basic 3D vector type.